import 'package:flutter/material.dart';
import 'package:freezed_annotation/freezed_annotation.dart';

import '../base_attribute.dart';

part 'color.freezed.dart';

/// Color attribute
@freezed
class ColorAttribute extends Attribute<Color> with _$ColorAttribute {
  const ColorAttribute._();

  /// Constructor
  factory ColorAttribute(Color color) = _ColorAttribute;

  /// Background color
  factory ColorAttribute.backgroundColor(Color color) =
      BackgroundColorAttribute;

  /// Text color
  factory ColorAttribute.textColor(Color color) = TextColorAttribute;

  /// Shadow color
  factory ColorAttribute.shadowColor(Color color) = ShadowColorAttribute;

  /// Border color
  factory ColorAttribute.borderColor(Color color) = BorderColorAttribute;

  Color get value {
    return color;
  }
}
