import 'package:freezed_annotation/freezed_annotation.dart';

import '../base_attribute.dart';

part 'size.freezed.dart';

/// Double attribute
@freezed
class SizeAttribute extends Attribute<double> with _$SizeAttribute {
  const SizeAttribute._();

  /// Constructor
  factory SizeAttribute(double size) = _SizeAttribute;

  factory SizeAttribute.height(double size) = HeightAttribute;
  factory SizeAttribute.maxHeight(double size) = MaxHeightAttribute;
  factory SizeAttribute.minHeight(double size) = MinHeightAttribute;
  factory SizeAttribute.width(double size) = WidthAttribute;
  factory SizeAttribute.maxWidth(double size) = MaxWidthAttribute;
  factory SizeAttribute.minWidth(double size) = MinWidthAttribute;
  factory SizeAttribute.gap(double size) = GapAttribute;

  double get value {
    return size;
  }
}
