import 'package:flutter/material.dart';

import 'attributes/attributes.dart';
import 'mixer/mix.dart';
import 'widgets/box.dart';
import 'widgets/flex_box.dart';

/// Custom Container
class CustomContainer extends StatelessWidget {
  /// Constructor
  const CustomContainer({
    Key? key,
    this.active = false,
  }) : super(key: key);

  final bool active;

  @override
  Widget build(BuildContext context) {
    final baseBorder = Mix(rounded(20), borderWidth(10), p(10));
    final greenBorder = baseBorder.mix(borderColor(Colors.green));
    final redBorderThin = greenBorder.mix(
      borderWidth(1),
      borderColor(
        Colors.red,
      ),
    );

    return Container(
      child: ColumnMix(
        Mix(gap(20), mt(50), ml(20)),
        children: [
          /// NORMAL API USAGE
          Box(
            baseBorder,
            child: Text('Base Border'),
          ),
          Box(
            greenBorder,
            child: Text('Green Border'),
          ),
          Box(
            redBorderThin,
            child: Text('Red Border Thin'),
          ),

          /// EXTENSIONS
          baseBorder.box(
            child: Text('This is Awesome'),
          ),
        ],
      ),
    );
  }
}
